#
# spec file for package adobe-sourceserifpro-fonts
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           adobe-sourceserifpro-fonts
%define _name SourceSerifPro
# Thre is no real version number, so we use the zip files release date.
Version:        2.000
Release:        lp151.2.1
Summary:        A set of OpenType fonts designed for user interfaces
License:        OFL-1.1
Group:          System/X11/Fonts
Url:            https://github.com/adobe-fonts/source-serif-pro
Source:         https://github.com/adobe-fonts/source-serif-pro/archive/%{version}R.tar.gz#/source-serif-pro-%{version}R.tar.gz
BuildRequires:  fontpackages-devel
%reconfigure_fonts_prereq
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A set of serif OpenType fonts designed to complement Source Sans Pro 

%prep
%setup -q -n source-serif-pro-%{version}R
# Fix line endings
sed -i 's/\r$//g' LICENSE.txt
# fix spurious-executable-perm
chmod -x README.md LICENSE.txt

%build

%install
install -d %{buildroot}%{_ttfontsdir}
# by default install command uses 755 umask
install -m 644 OTF/*.otf TTF/*.ttf %{buildroot}%{_ttfontsdir}

%reconfigure_fonts_scriptlets

%files
%defattr(-,root,root)
%doc LICENSE.txt *.md
%dir %{_ttfontsdir}
%{_ttfontsdir}/*

%changelog
* Mon Apr  9 2018 cornelis@solcon.nl
- Update to 2.000
  * Changes 1.017:
    + Add ExtraLight, Light and Black weights.
    + Semibold and Bold were made heavier.
    + Lcommaaccent and lcommaaccent were added (missing in first release).
  * Changes 2.000:
    + Increase character set to Adobe Latin 4.
    + Add Greek (AG-1) & Cyrillic (AC-2) writing systems.
    + Add Small Caps for all of the above.
    + Add superiors for Latin capitals.
- Update url to github.com
* Tue May 27 2014 robert.munteanu@gmail.com
- Initial version
